Number constants := Object clone do(
    docSlot("constants pi", "Returns the constant pi.")
    pi := 3.14159265358979323846264338327950288

    docSlot("constants nan", "Returns a infinity constant.")    
    nan := (0/0)

    docSlot("constants inf", "Returns a not-a-number constant.")    
    inf := (1/0)
        
    docSlot("constants e", "Returns the constant e.")
    e  := 2.71828182845904523536028747135266249
    
)

Number asSimpleString := method(self asString)
