// Io sample code for Linemen.net programming month
// See www.iolanguage.com

BaseObject := Object clone do(       
 	demo := method("Inheritance Demo")
)

Parser := BaseObject clone do(
	parse := method(line, 
                words := line splitNoEmpties(" ") 
		words foreach(word, writeln(word))
                words size
	)
)

filename := args at(1)
if (filename == Nil, 
	writeln("Enter a filename: ")
	filename := File standardInput readLine
)

file := File clone openForReading(filename)
while (line := file readLine, Parser parse(line))
file close
