
Object pause := method(Scheduler currentCoroutine pause)

CoroutineTest := UnitTest clone do(
    setUp := method(
        super(setUp)
        self s := Sequence clone
        self
    )
    
    tearDown := method(
        super(tearDown)
    )

	a := method(
		pause
		for(i, 1, 3, 
			s appendSeq("a", i)
			pause
		)
	)
	
	b := method(
		pause
		for(i, 1, 3, 
			s appendSeq("b", i)
			pause
		)
	)
    	
    testPause := method(
		coroB := self coroDo(b)
    	coroA := self coroDo(a)	
		yield
		
		for(i, 1, 3, 
			s appendSeq("-"); 
			coroA resume
			coroB resume
			yield
		)

		//writeln("s = ", s)
		assertEquals(s, "-a1b1-a2b2-a3b3")
    )
)

//CoroutineTest setUp testPause