
ObjectTest := UnitTest clone do(
    setUp := method(
        super(setUp)
        self originalSchedulerSleepSeconds := Scheduler sleepInterval
        Scheduler setSleepInterval(0.001)
    )
    
    tearDown := method(
        Scheduler setSleepInterval(self originalSchedulerSleepSeconds)
        super(tearDown)
    )
    
    testProto := method(
        a := Object clone
        b := a clone
        assertSame(Object, a proto)
        assertSame(a, b proto)
    )
    testFor := method(
        assertEquals(5, for(i, 1, 10, if(i == 5, break(i))))
    )
    /*
    testActor := method(
        A := Object clone
        A s := Sequence clone
        A test := method(a, for(i, 1, 2, s appendSeq(a, i, "."); yield))
        A clone @@test(1); A clone @@test(2)
        wait(.1)
        assertEquals("11.21.12.22.", A s asString)
    )
    testFuture := method(
        obj := Object clone
        obj double := method(v, return v * 2)
        future := obj @double(2)
        assertEquals(4, future)
    )
    */
)