
Object become := method(r, 
	self slotNames foreach(s, self removeSlot(s))
	self _becomeTarget := getSlot("r")
	self forward := method(
		//writeln("forwarding ", call message code, " to ", _becomeTarget)
		r := _becomeTarget doMessage(call message, call sender)
		//writeln("returning ", r)
	)
	self removeAllProtos
	self	
)

Future := Object clone do(
	type := "Future"
    newSlot("runTarget", nil)
    newSlot("runMessage", nil)
    newSlot("hasTrigger", false)
    
    setTrigger := method(
    	self hasTrigger := true
    	self waitingCoros := List clone
    	self forward := self getSlot("futureForward")
    	self
    )
        
    setResult := method(r,
    	//writeln("Future setResult(", r, ")")
    	waitingCoros foreach(resume)
    	hasTrigger ifTrue(self become(r))
    )
    
    futureForward := method(
    	//writeln("futureForward")
    	coro := Scheduler currentCoroutine
    	waitingCoros append(coro)
    	coro pause
    	//writeln("after coro pause")
    	//yield
    	//writeln("after yield")
    	self doMessage(call message, call sender)
    )
)


Object do( 
	actorRun := method(
		self hasLocalSlot("actorCoroutine") ifFalse(
			self actorFutureQueue := List clone
        	self actorCoroutine := self coroDo(actorProcessQueue)
        )
	)
 
 	actorProcessQueue := method(
		loop(
			loop(
				future := actorFutureQueue removeFirst
				future ifNil(break)
				future setResult(self doMessage(future runMessage))
				yield
			)
			actorCoroutine pause
        )
	)
   
	setSlot("@", method(
        m := call message argAt(0) asMessageWithEvaluatedArgs(call sender)
        f := Future clone setRunTarget(self) setRunMessage(m)
		actorRun
        actorFutureQueue append(f)
       	f setTrigger
        actorCoroutine resume
        f
	))
 
	setSlot("@@", method(
        m := call message argAt(0) asMessageWithEvaluatedArgs(call sender)
        f := Future clone setRunTarget(self) setRunMessage(m) 
		actorRun
        actorFutureQueue append(f)
        actorCoroutine resume
        nil
	))
)

