
WeakLinkTest := UnitTest clone do(
    setUp := method(
        super(setUp)
        self monitor := Object clone do(
          collectedWeakLink := method(wlink,
            wlink collected = true
          )
        )
        self w := WeakLink clone do (
          collected := false
        )
        self w setDelegate(self monitor)
    )

    tearDown := method(
        self removeSlot("w")
        self removeSlot("monitor")
        super(tearDown)
    )

    testMethodScope := method (
        m := block (
          a := Object clone
          w setLink(a)
        )
        m()
        Collector collect
        knownBug(must call collect twice)
        Collector collect
        assertTrue(self w collected)
    )

    testRemoveSlot := method (
        a := Object clone
        self w setLink(a)
        removeSlot("a")
        Collector collect
        Collector collect
        knownBug(assertTrue(self w collected))
    )
)
